/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved.
 * Created by Deason on 2019-01-08 11:04:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.exchange.dock.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.exchange.dock.api.ExamStudentScoreCloudService;
import cn.com.qmth.examcloud.exchange.dock.api.request.SyncExamStudentScoreReq;
import cn.com.qmth.examcloud.exchange.dock.api.response.SyncExamStudentScoreResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @author: fengdesheng
 * @since: 2019/1/8
 */
@Service("examStudentScoreCloudServiceClient")
public class ExamStudentScoreCloudServiceClient extends ExchangeDockCloudClientSupport implements ExamStudentScoreCloudService {
    private static final long serialVersionUID = 1L;
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private RedisClient redisClient;

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    public SyncExamStudentScoreResp syncExamStudentScore(SyncExamStudentScoreReq req) {
        return post("exam/student/score/save", req, SyncExamStudentScoreResp.class);
    }

}